package com.lanren.huhu.partner;

import com.lanren.huhu.partner.schedule.AgentDailyExpandTask;
import com.lanren.huhu.partner.schedule.AgentDailyMailTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @author houseme
 */
@SpringBootApplication
public class ReportPartnerApplication implements ApplicationRunner {
    private static Logger logger = LoggerFactory.getLogger(ReportPartnerApplication.class);

    @Autowired
    AgentDailyExpandTask agentDailyExpandTask;
    @Autowired
    AgentDailyMailTask agentDailyMailTask;
    @Value("${spring.profiles.active}")
    private String profilesActive;

    public static void main(String[] args) {
        try {
            System.exit(
                    SpringApplication.exit(
                            SpringApplication.run(ReportPartnerApplication.class, args)
                    )
            );
        } catch (Exception e) {
            logger.error(e.getMessage(), e);
        }
    }

    @Override
    public void run(ApplicationArguments args) throws Exception {
        logger.info("profile active is {}", profilesActive);
//        agentDailyExpandTask.runExpandPartner();
        agentDailyMailTask.runExpandCity2ndAgentMail();
    }
}
